# Use a lightweight base image
FROM golang:1.20.2-alpine3.17 AS build

# Set environment variables
ENV GO111MODULE=on \
    CGO_ENABLED=0 \
    GOOS=linux \
    GOARCH=amd64

# Set the working directory
WORKDIR /app

# Build the binary
COPY . ./
RUN go build -ldflags="-w -s" -o /twittor-back

# Use a minimal base image
FROM scratch
COPY --from=build /twittor-back /twittor-back
COPY --from=build /etc/ssl/certs/ca-certificates.crt /etc/ssl/certs/

# Set the command to run the binary
ENTRYPOINT ["/twittor-back"]
# Expose the default port
EXPOSE 8001
